(Bez tytułu)

DSN użytkownika — karta

Umożliwia dodawanie, usuwanie i ustawianie źródeł danych użytkowników za pomocą nazw DSN. Te źródła danych są przez komputer traktowane jako lokalne i ma do nich dostęp tylko bieżący użytkownik.

Formant | Opis
Źródła danych użytkownika | Wyświetla wszystkie źródła DSN użytkownika, uwzględniając dla każdego z nich nazwę i związany z nim sterownik. Dwukrotne kliknięcie źródła DSN użytkownika powoduje wyświetlenie zależnego od sterownika okna dialogowego ustawień źródła danych.
Dodaj | Kliknij, aby dodać nowe źródło danych użytkownika. W pojawiającym się oknie dialogowym Tworzenie nowego źródła danych wybierz sterownik, dla którego dodajesz źródło danych użytkownika i kliknij przycisk Zakończ; pojawia się zależne od sterownika okno dialogowe ustawień.
Usuń | Kliknij, aby usunąć zaznaczone źródło danych użytkownika z listy Źródła danych użytkownika.
Konfiguruj | Kliknij, aby zmienić konfigurację zaznaczonego źródła danych użytkownika. Wyświetlone zostaje zależne od sterownika okno dialogowe ustawień źródła danych.
OK | Zamyka okno dialogowe Administrator źródeł danych ODBC. Nie trzeba kilkać przycisku OK, aby zaakceptować zmiany na liście Źródła danych użytkownika. Zmiany te zostają zaakceptowane po kliknięciu przycisku OK w oknie dialogowym ustawień źródła danych.
Anuluj | Zamyka okno dialogowe Administrator źródeł danych ODBC, ale nie cofa zmian dokonanych przy użyciu innych formantów okna dialogowego.
Pomoc | Wyświetla ekran Pomocy.


.topic 902
Lists all user DSNs, including the name and associated driver of each DSN. Double-clicking a user DSN displays the driver-specific data source setup dialog box.

.topic 903
Click to change the configuration of a selected user data source.

.topic 904
Click to add a new user data source.

.topic 905
Click to remove a selected user data source.

.topic 910
Lists all system DSNs, including the name and associated driver of each DSN. Double-clicking a system DSN displays the driver-specific data source setup dialog box.

.topic 911
Click to change the configuration of a selected system data source.

.topic 912
Click to add a new system data source.

.topic 913
Click to remove a selected system data source.

.topic 915
Displays all file DSNs and subdirectories of the directory indicated in the Look in box. Double-clicking a file DSN displays the driver-specific data source setup dialog box.

.topic 916
Click to change the configuration of a selected file data source.

.topic 917
Click to add a new file data source.

.topic 918
Click to remove a selected file data source.

.topic 919
Sets the directory indicated in the Look in box as the default when the ODBC Administrator is executed.

.topic 920
Displays the directory for which the subdirectories and file DSNs are listed in the window below.

.topic 921
Replaces the directory indicated in the Look in box with the directory located one level up.

.topic 969
Lists each installed ODBC driver with its connection pooling timeout option. To set the timeout option, double-click the ODBC driver name.

.topic 965
The name, version, company, file name, and release date of each installed ODBC driver.

.topic 924
Allows you to set tracing options for your application.

.topic 926
Enables continuous dynamic tracing, whether or not a connection has been made, as long as the ODBC Data Source Administrator dialog box is displayed or until you click Stop Tracing Now. (This button toggles between Start Tracing Now and Stop Tracing Now.)

.topic 923
Activates Visual Studio Analyzer, which remains enabled until you click Stop Visual Studio Analyzer. (This button toggles between Start Visual Studio Analyzer and Stop Visual Studio Analyzer.)

.topic 927
Displays the path and file name where the tracing information will be stored. Defaults to log file sql.log.

.topic 968
Select the path and file name for the log file.

.topic 928
Enter the appropriate path and file name to choose a custom trace .dll file.

.topic 929
Browse the directory structure for a custom trace .dll.

.topic 952
Displays all file DSNs and subdirectories contained in the directory indicated in the Look in box. Double-clicking a DSN connects to the data source.

.topic 953
Indicates the directory for which the subdirectories and file DSNs are listed in the window below.

.topic 954
Replaces the directory shown in the Look in box with the directory located one level up.

.topic 955
Displays the file DSN name either selected from the File Data Sources list or entered manually.

.topic 957
Click to add a new file data source.

.topic 961
Lists all user and system DSNs, including the name and type of each DSN. Double-clicking a DSN connects to the data source.

.topic 970
Displays the timeout period, in seconds, for a selected driver.

.topic 974
Sets connection performance monitoring for debugging but affects application performance.

.topic 971
Enables performance monitoring of the connection.

.topic 972
Disables performance monitoring of the connection.

.topic 973
Specifies, in seconds, the wait time for connection retries.

.topic 962
Click to add a new machine data source.


Informacje — karta

Wyświetla informacje o składnikach podstawowych ODBC, w tym o Menedżerze sterowników, bibliotece kursorów, pliku .dll instalatora oraz pozostałych plikach składających się na składniki podstawowe.

Formant | Opis
Lista składników podstawowych | Opis, wersja, nazwa pliku i lokalizacja każdego składnika podstawowego ODBC.
OK | Zamyka okno dialogowe Administrator źródeł danych ODBC.
Anuluj | Zamyka okno dialogowe Administrator źródeł danych ODBC, ale nie cofa zmian dokonanych przy użyciu innych formantów okna dialogowego.
Pomoc | Wyświetla ekran Pomocy.


Pula połączeń — karta

Umożliwia zmianę czasu oczekiwania na ponowną próbę połączenia oraz zmianę limitu czasu buforowania połączeń dla wybranego sterownika, gdy używana jest pula połączeń. Umożliwia również włączanie i wyłączanie monitorowania wydajności, w ramach którego rejestrowana jest statystyka połączeń. Pula połączeń pozwala aplikacji używać połączenia z puli połączeń, które nie muszą być ponownie ustanawiane przy każdym użyciu. Po utworzeniu połączenia i umieszczeniu go w puli, aplikacja może ponownie używać tego połączenia bez przeprowadzania pełnego procesu połączenia, co zwiększa wydajność.

Formant | Opis
Sterowniki ODBC | Zawiera listę nazw zainstalowanych sterowników ODBC z limitami czasu buforowania połączenia. Aby ustawić opcję limitu czasu, kliknij dwukrotnie nazwę sterownika ODBC.
Limit czasu buforowania połączeń | Ustawia limit czasu buforowania połączeń, w sekundach, dla wybranego sterownika. Aby ustawić atrybuty puli połączeń, kliknij dwukrotnie nazwę sterownika. Pojawia się okno dialogowe Ustawianie atrybutów buforowania połączeń. Można ustawić czas, przez który nie używane połączenia pozostają w puli, a także uaktywnić buforowanie połączeń dla wybranego sterownika.
Włącz | Włącza liczniki monitorowania wydajności dla puli połączeń. Więcej informacji na temat monitorowania wydajności można znaleźć w dokumencie ODBC Programmer's Reference.
Wyłącz | Wyłącza liczniki monitorowania wydajności dla puli połączeń. Więcej informacji na temat monitorowania wydajności można znaleźć w dokumencie ODBC Programmer's Reference.
Ponawianie co | Określa czas, w sekundach, przez który Menedżer sterowników ODBC czeka przed kolejną próbą połączenia się z serwerem bazy danych. Podana wartość musi mieć mniej niż sześć cyfr
OK | Akceptuje zmiany ustawień buforowania połączenia i zamyka okno dialogowe Administrator źródeł danych ODBC.
Anuluj | Zamyka okno dialogowe Administrator źródeł danych ODBC bez akceptowania zmian ustawień.
Zastosuj | Akceptuje zmiany ustawień buforowania połączenia i pozostawia otwarte okno dialogowe Administrator źródeł danych ODBC.
Pomoc | Wyświetla ekran Pomocy.


Plikowe źródło danych — karta

Pozwala połączyć się ze źródłem danych, które ma plikową nazwę DSN. Źródło danych oparte na pliku, które nie musi być przypisane określonemu użytkownikowi ani lokalne dla komputera, może być współużytkowane przez wszystkich użytkowników mających zainstalowane te same sterowniki.

Formant | Opis
Plikowe źródła danych | Wyświetla wszystkie plikowe źródła DSN i podkatalogi katalogu wskazywanego w polu Szukaj w. Dwukrotne kliknięcie plikowego źródła DSN powoduje połączenie z tym źródłem danych.
Szukaj w | Wskazuje katalog, którego podkatalogi i plikowe źródła DSN są wyświetlane w polu poniżej. Kliknięcie strzałki w dół obok tego pola tekstowego powoduje wyświetlenie całej struktury katalogów.
W górę o jeden poziom (ikona) | Zastępuje katalog pokazywany w polu Szukaj w katalogiem znajdującym się o jeden poziom wyżej.
Nazwa DSN | Wyświetla nazwę DSN, którą można wybrać z listy Plikowe źródła danych lub wprowadzić ręcznie.
Nowe | Kliknij, aby dodać nowe plikowe źródło danych. W pojawiającym się oknie dialogowym Tworzenie nowego źródła danych wybierz sterownik, dla którego dodajesz plikowe źródło DSN i kliknij przycisk Dalej, aby określić nazwę lub lokalizację nowego plikowego źródła DSN. Kliknij ponownie przycisk Dalej, aby wyświetlić zestawienie informacji o nowym źródle danych. Kliknij przycisk Zakończ, aby wyświetlić zależne od sterownika okno dialogowe ustawień.
OK | Zamyka okno dialogowe Wybieranie źródeł danych ODBC i łączy z plikowym źródłem danych wskazywanym w polu tekstowym Nazwa DSN. Nie trzeba kilkać przycisku OK, aby zaakceptować zmiany na liście Plikowe źródła danych. Zmiany te zostają zaakceptowane po kliknięciu przycisku OK w oknie dialogowym ustawień źródła danych.
Anuluj | Zamyka okno dialogowe Wybieranie źródeł danych ODBC nie łącząc ze źródłem danych, ale nie cofa zmian dokonanych przy użyciu innych formantów okna dialogowego.
Pomoc | Wyświetla ekran Pomocy.


Plikowe DSN — karta

Umożliwia dodawanie, usuwanie i ustawianie opartych na plikach źródeł danych, które mogą być współużytkowane przez wszystkich użytkowników mających zainstalowane te same sterowniki. Te źródła danych nie muszą być przypisane określonemu użytkownikowi ani lokalne dla komputera.

Formant | Opis
Plikowe źródła danych | Wyświetla wszystkie plikowe źródła DSN i podkatalogi katalogu wskazywanego w polu Szukaj w. Dwukrotne kliknięcie plikowego źródła DSN powoduje wyświetlenie zależnego od sterownika okna dialogowego ustawień źródła danych.
Dodaj | Kliknij, aby dodać nowe plikowe źródło danych. W pojawiającym się oknie dialogowym Tworzenie nowego źródła danych wybierz sterownik, dla którego dodajesz plikowe źródło danych i kliknij przycisk Dalej, aby określić nazwę lub lokalizację nowego plikowego źródła DSN. Kliknij ponownie przycisk Dalej, aby wyświetlić zestawienie informacji o nowym źródle danych. Kliknij przycisk Zakończ, aby wyświetlić zależne od sterownika okno dialogowe ustawień.
Usuń | Usuwa zaznaczone plikowe źródło danych. Przed kliknięciem przycisku Usuń musisz zaznaczyć źródło danych, które chcesz usunąć z listy.
Konfiguruj | Kliknij, aby zmienić konfigurację zaznaczonego plikowego źródła danych. Przed kliknięciem przycisku Konfiguruj trzeba zaznaczyć nazwę plikowego źródła danych na liście. Wyświetlone zostaje zależne od sterownika okno dialogowe ustawień źródła danych.
Ustaw katalog | Ustawia katalog wskazywany w polu Szukaj w jako katalog domyślny w czasie działania Administratora ODBC.
Szukaj w | Wyświetla katalog, którego podkatalogi i plikowe źródła DSN są wyświetlane w polu poniżej. Kliknięcie strzałki w dół obok tego pola tekstowego powoduje wyświetlenie całej struktury katalogów. Domyślny katalog, wyświetlany po pierwszym wywołaniu Administratora ODBC, jest ustawiony w informacjach systemowych, ale można go zmienić za pomocą przycisku Ustaw katalog.
W górę o jeden poziom (ikona) | Zastępuje katalog pokazywany w polu Szukaj w katalogiem znajdującym się o jeden poziom wyżej.
OK | Zamyka okno dialogowe Administrator źródeł danych ODBC. Nie trzeba kilkać przycisku OK, aby zaakceptować zmiany na liście Plikowe źródła danych. Zmiany te zostają zaakceptowane po kliknięciu przycisku OK w oknie dialogowym ustawień źródła danych.
Anuluj | Zamyka okno dialogowe Administrator źródeł danych ODBC, ale nie cofa zmian dokonanych przy użyciu innych formantów okna dialogowego.
Pomoc | Wyświetla ekran Pomocy.


Komputerowe źródło danych — karta

Pozwala połączyć się ze źródłem danych, które ma nazwę DSN użytkownika lub systemową nazwę DSN. Komputerowe źródła danych są właściwe dla danego komputera i nie mogą być współużytkowane.

Formant | Opis
Komputerowe źródła danych | Wyświetla wszystkie komputerowe źródła DSN, uwzględniając dla każdego z nich nazwę i typ. Dwukrotne kliknięcie źródła DSN powoduje połączenie z tym źródłem danych.
Nowe | Kliknij, aby dodać nowe komputerowe źródło danych. W pojawiającym się oknie dialogowym Tworzenie nowego źródła danych wybierz sterownik, dla którego dodajesz systemowe źródło DSN lub źródło DSN użytkownika i kliknij przycisk Dalej, aby określić nazwę lub lokalizację nowego DSN. Kliknij ponownie przycisk Dalej, aby wyświetlić zestawienie nowych informacji. Kliknij przycisk Zakończ, aby wyświetlić zależne od sterownika okno dialogowe ustawień.
OK | Zamyka okno dialogowe Wybieranie źródeł danych ODBC i łączy z wybranym źródłem danych. Kliknięcie przycisku OK nie powoduje zaakceptowania zmian wprowadzonych na liście Komputerowe źródła danych. Zmiany te zostają zaakceptowane po kliknięciu przycisku OK w oknie dialogowym ustawień źródła danych.
Anuluj | Zamyka okno dialogowe Wybieranie źródeł danych ODBC nie łącząc ze źródłem danych, ale nie cofa zmian dokonanych przy użyciu innych formantów okna dialogowego.
Pomoc | Wyświetla ekran Pomocy.


Sterowniki — karta

Wyświetla informacje na temat sterowników ODBC zainstalowanych na komputerze. Z tej karty nie można wykonać żadnej czynności. Aby dodać lub usunąć sterownik ODBC, trzeba użyć określonego programu instalacyjnego sterownika.

Formant | Opis
Sterowniki ODBC | Nazwa, numer wersji, producent, nazwa pliku i data utworzenia każdego sterownika ODBC zainstalowanego na komputerze.
OK | Zamyka okno dialogowe Administrator źródeł danych ODBC.
Anuluj | Zamyka okno dialogowe Administrator źródeł danych ODBC.
Pomoc | Wyświetla ekran Pomocy.


Systemowe DSN — karta

Umożliwia dodawanie, usuwanie i ustawianie źródeł danych za pomocą systemowych nazw DSN. Te źródła danych są przez komputer traktowane jako lokalne, ale nie są przypisane określonemu użytkownikowi; każdy użytkownik z odpowiednimi przywilejami może uzyskać dostęp do systemowego źródła DSN.

Formant | Opis
Systemowe źródła danych | Wyświetla wszystkie systemowe źródła DSN, uwzględniając dla każdego z nich nazwę i związany z nim sterownik. Dwukrotne kliknięcie systemowego źródła DSN powoduje wyświetlenie zależnego od sterownika okna dialogowego ustawień źródła danych.
Dodaj | Kliknij, aby dodać nowe systemowe źródło danych. W pojawiającym się oknie dialogowym Tworzenie nowego źródła danych wybierz sterownik, dla którego dodajesz systemowe źródło danych i kliknij przycisk Zakończ; pojawia się zależne od sterownika okno dialogowe ustawień.
Usuń | Usuwa zaznaczoną nazwę systemowego źródła danych z listy Systemowe źródła danych.
Konfiguruj | Kliknij, aby zmienić konfigurację zaznaczonego systemowego źródła danych. Wyświetlone zostaje zależne od sterownika okno dialogowe ustawień źródła danych, które umożliwia zmianę konfiguracji istniejącego systemowego źródła danych. Przed kliknięciem przycisku Konfiguruj trzeba zaznaczyć nazwę systemowego źródła danych na liście.
OK | Zamyka okno dialogowe Administrator źródeł danych ODBC. Nie trzeba kilkać przycisku OK, aby zaakceptować zmiany na liście Systemowe źródła danych. Zmiany te zostają zaakceptowane po kliknięciu przycisku OK w oknie dialogowym ustawień źródła danych.
Anuluj | Zamyka okno dialogowe Administrator źródeł danych ODBC, ale nie cofa zmian dokonanych przy użyciu innych formantów okna dialogowego.
Pomoc | Wyświetla ekran Pomocy.


Śledzenie — karta

Pozwala określić sposób, w jaki Menedżer sterowników ODBC śledzi wywołania funkcji ODBC. Menedżer ten może śledzić wywołania w sposób ciągły lub tylko dla jednego połączenia. Może też przeprowadzać śledzenie dynamicznie lub zezwalać na śledzenie za pomocą niestandardowego pliku .dll śledzenia.

Formant | Opis
Uruchom śledzenie/Zatrzymaj śledzenie (przełącznik) | Umożliwia stałe, dynamiczne śledzenie, niezależnie od tego, czy zostało ustanowione połączenie, o ile wyświetlane jest okno dialogowe Administrator źródeł danych ODBC i dopóki nie zostanie kliknięty przycisk Zatrzymaj śledzenie.
Uruchom Visual Studio Analyzer/Zatrzymaj Visual Studio Analyzer (przełącznik) | Włącza program Visual Studio Analyzer, który pozostaje włączony do kliknięcia przycisku Zatrzymaj Visual Studio Analyzer. Program Visual Studio Analyzer jest narzędziem, którego można używać do debugowania i analizowania aplikacji rozproszonych. Więcej informacji na temat programu Visual Studio Analyzer można znaleźć w dokumentacji w bibliotece MSDN Library.
Ścieżka pliku dziennika | Wyświetla ścieżkę i nazwę pliku, w którym będą zapisywane informacje śledzenia. Można użyć domyślnej ścieżki i nazwy pliku (\sql.log) albo określić nowy plik wprowadzając nową ścieżkę i nazwę pliku lub klikając przycisk Przeglądaj i wybierając określony katalog i plik.
Przeglądaj | Pozwala wybrać ścieżkę i nazwę pliku dziennika przez przeglądanie katalogów na komputerze.
Niestandardowy plik DLL śledzenia | Pozwala wybrać plik .dll śledzenia inny niż Odbctrac.dll. Wprowadź ścieżkę i nazwę niestandardowego pliku .dll lub kliknij przycisk Wybierz plik DLL, aby przejrzeć katalogi. Plik Odbctrac.dll, który jest dostarczany w pakiecie MDAC SDK, można zastąpić dowolnym niestandardowym plikiem .dll.
Wybierz plik DLL | Pozwala przejrzeć strukturę katalogów i wyszukać niestandardowy plik .dll śledzenia. Ścieżka i nazwa wybranego pliku pojawia się w polu tekstowym Niestandardowy plik DLL śledzenia.
OK | Powoduje zaakceptowanie zmian ustawień Ścieżka pliku dziennika i Niestandardowy plik DLL śledzenia i zamyka okno dialogowe Administrator źródeł danych ODBC.
Anuluj | Zamyka okno dialogowe Administrator źródeł danych ODBC bez zaakceptowania zmian ustawień.
Zastosuj | Powoduje zaakceptowanie zmian ustawień śledzenia i pozostawia okno dialogowe Administrator źródeł danych ODBC otwarte.
Pomoc | Wyświetla ekran Pomocy.


Wybieranie translatora — okno dialogowe

Okno dialogowe Wybieranie translatora wyświetla zainstalowane pliki .dll translatora i pozwala wybrać jeden z nich, co umożliwia sterownikowi tłumaczenie danych z jednego zestawu znaków na inny. Aplikacja i źródło danych często przechowują dane używając różnych zestawów znaków. Standard ODBC oferuje generyczny mechanizm, który pozwala sterownikowi na tłumaczenie danych z jednego zestawu znaków na inny.

Po określeniu pliku .dll translatora, sterownik ładuje go i wywołuje go do tłumaczenia wszystkich danych przepływających między aplikacją a źródłem danych. Obejmuje to wszystkie instrukcje SQL i parametry znakowe przesyłane do źródła danych, wszystkie wyniki znakowe, znakowe metadane, takie jak nazwy kolumn, oraz komunikaty o błędach odbierane ze źródła danych. Dane połączenia nie są tłumaczone, ponieważ plik .dll translatora nie jest ładowany, dopóki aplikacja nie połączy się ze źródłem danych.

Plik .dll translatora, który implementuje funkcje SQLDriverToDataSource i SQLDataSourceToDriver (wywoływane przez sterownik), może zostać napisany przez dewelopera aplikacji, dewelopera sterownika lub inną osobę.

Więcej informacji na temat plików .dll translatora można znaleźć w dokumencie ODBC Programmer's Reference.